!----------------------------------------------------------------------
! module contenant une subroutine de calcul de la solution exacte Navier-Stokes
module mod_ns

  implicit none 

contains

  subroutine ns(uw,H)

    use mod_precision

    implicit none

    !--- entrées
    real(pr), intent(in) :: uw, H

    !--- variables locales
    integer :: j, jmax
    real(pr) :: dy, y, ux

    !--- abscisses
    jmax = 100
    dy = H/(jmax-1)

    !--- solution exacte
    open(unit=13,file='sol_ns.dat')

    do j=1,jmax
       y = (j-1)*dy
       ux = uw/h * y
       write(13,*) y,ux
    end do

    close(13)

  end subroutine ns

end module mod_ns
